﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Net.NetworkInformation;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ProjectAirplaneWithRadar.Entities;
namespace ProjectAirplaneWithRadar.DrawningObjects
{
    public class DrawningAirplaneWithRadar : DrawningAirplane
    {
        public DrawningAirplaneWithRadar(int speed, double weight, Color bodyColor, Color
           additionalColor, bool radar, bool dopbak, int width, int height) : base(speed, weight, bodyColor, width, height, 200, 78)
        {
            if (EntityAirplane != null)
            {
                EntityAirplane = new EntityAirplaneWithRadar(speed, weight, bodyColor, additionalColor, radar, dopbak);
            }
        }
        public override void DrawTransport(Graphics g)
        {
            if (EntityAirplane is not EntityAirplaneWithRadar airplaneWithRadar)
            {
                return;
            }
            base.DrawTransport(g);
            Pen blackPen = new Pen(Color.Black, 2);
            Pen pen = new Pen(Color.Black);
            Brush additionalBrush = new
            SolidBrush(airplaneWithRadar.AdditionalColor);
            if (airplaneWithRadar.DopBak)
            {
                g.FillEllipse(additionalBrush, _startPosX, _startPosY + 45, 40, 20);
                g.DrawEllipse(blackPen, _startPosX, _startPosY + 45, 40, 20);
            }
            if (airplaneWithRadar.Radar)
            {
                g.DrawLine(blackPen, _startPosX + 60, _startPosY + 25, _startPosX + 60, _startPosY + 15);
                g.DrawLine(blackPen, _startPosX + 60, _startPosY + 15, _startPosX + 67, _startPosY + 11);
                Point point7 = new Point(_startPosX + 60, _startPosY + 15);
                Point point8 = new Point(_startPosX + 60, _startPosY + 5);
                Point point9 = new Point(_startPosX + 70, _startPosY + 25);
                Point[] curvePoints3 =
                 {
                     point7,
                     point8,
                     point9,
                     };
                g.FillPolygon(additionalBrush, curvePoints3);
            }
        }
    }
}
