﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectAirplaneWithRadar.DrawningObjects;

namespace ProjectAirplaneWithRadar.MovementStrategy
{
    public class DrawningObjectAirplane : IMoveableObject
    {
        private readonly DrawningAirplane? _drawningAirplane = null;
        public DrawningObjectAirplane(DrawningAirplane drawningCar)
        {
            _drawningAirplane = drawningCar;
        }
        public ObjectParameteres? GetObjectPosition
        {
            get
            {
                if (_drawningAirplane == null || _drawningAirplane.EntityAirplane ==null)
                {
                    return null;
                }
                return new ObjectParameteres(_drawningAirplane.GetPosX,
                _drawningAirplane.GetPosY, _drawningAirplane.GetWidth, _drawningAirplane.GetHeight);
            }
        }
        public int GetStep => (int)(_drawningAirplane?.EntityAirplane?.Step ?? 0);
        public bool CheckCanMove(Direction direction) =>
        _drawningAirplane?.CanMove(direction) ?? false;
        public void MoveObject(Direction direction) =>
        _drawningAirplane?.MoveTransport(direction);
    }
}
