using ProjectAirplaneWithRadar.DrawningObjects;
using ProjectAirplaneWithRadar.MovementStrategy;
using ProjectAirplaneWithRadar.Generics;

namespace ProjectAirplaneWithRadar
{
    public partial class FormAirplanesCollection : System.Windows.Forms.Form
    {
        private readonly AirplanesGenericCollection<DrawningAirplane, DrawningObjectAirplane> _Airplanes;
        public FormAirplanesCollection()
        {
            InitializeComponent();
            _Airplanes = new AirplanesGenericCollection<DrawningAirplane,
            DrawningObjectAirplane>(pictureBoxAirplanesCollection.Width, pictureBoxAirplanesCollection.Height);
        }
        private void buttonAddAirplane_Click(object sender, EventArgs e)
        {
            FormAirplaneWithRadar form = new();
            if (form.ShowDialog() == DialogResult.OK)
            {
                if (_Airplanes + form.SelectedAirplane != null)
                {
                    MessageBox.Show(" ");
                    pictureBoxAirplanesCollection.Image = _Airplanes.ShowAirplanes();
                }
                else
                {
                    MessageBox.Show("   ");
                }
            }
        }
        private void buttonDeleteAirplane_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show(" ?", "", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No)
            {
                return;
            }
            int pos = Convert.ToInt32(maskedTextBoxNumber.Text);
            if (_Airplanes - pos != null)
            {
                MessageBox.Show(" ");
                pictureBoxAirplanesCollection.Image = _Airplanes.ShowAirplanes();
            }
            else
            {
                MessageBox.Show("   ");
            }

        }
        private void buttonUpdateCollection_Click(object sender, EventArgs e)
        {
            pictureBoxAirplanesCollection.Image = _Airplanes.ShowAirplanes();
        }
    }
}