﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirplaneWithRadar.MovementStrategy
{
    public class MoveToBorder : AbstractStrategy
    {
        protected override bool IsTargetDestinaion()
        {
            var objParams = GetObjectParameters;
            if (objParams == null)
            {
                return false;
            }
            return objParams.RightBorder + GetStep() >= FieldWidth &&
            objParams.DownBorder + GetStep() >= FieldHeight;
        }
        protected override void MoveToTarget()
        {
            var objParams = GetObjectParameters;
            if (objParams == null)
            {
                return;
            }
            var diffX = FieldWidth - objParams.RightBorder;
            if (diffX > GetStep())
            {
                MoveRight();
            }
            var diffY = FieldHeight - objParams.DownBorder;
            if (diffY > GetStep())
            {
                MoveDown();
            }
        }
    }
}
